"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scanUrl = scanUrl;
const sqlInjectionDetector_1 = require("../detectors/sqlInjectionDetector");
const xssDetector_1 = require("../detectors/xssDetector");
const scriptInjectionDetector_1 = require("../detectors/scriptInjectionDetector");
function scanUrl(url, options) {
    const issues = [];
    if (options.detectSentences && (0, sqlInjectionDetector_1.isSQLSentence)(url)) {
        issues.push('SQL Sentence detected in URL');
    }
    if (options.detectReservedWords && (0, sqlInjectionDetector_1.detectSQLInjection)(url)) {
        issues.push('SQL Injection detected in URL');
    }
    if ((0, xssDetector_1.detectXSS)(url)) {
        issues.push('XSS detected in URL');
    }
    if ((0, scriptInjectionDetector_1.detectScriptInjection)(url)) {
        issues.push('Script Injection detected in URL');
    }
    return issues;
}
//# sourceMappingURL=scanUrl.js.map